package com.om.controller.admin;


import com.om.entity.po.App;
import com.om.entity.vo.AppVO;
import com.om.entity.vo.DignosisPageVO;
import com.om.service.IAppService;
import com.om.utils.Result;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author bmmx
 * @since 2024-03-11
 */
@RestController
@Api(tags = "应用软件相关模块")
@RequestMapping("/app")
public class AppController {

    @Resource
    private IAppService appService;

    @PostMapping("/add")
    @ApiOperation("新增应用软件")
    Result add(@RequestBody AppVO app){

        return appService.add(app);
    }

    @PostMapping("/delete")
    @ApiOperation("删除应用软件")
    Result delete(@RequestBody AppVO app){

        return appService.delete(app);
    }

    @PostMapping("/downloadFile")
    @ApiOperation("下载应用软件")
    Result downloadFile(@RequestBody AppVO app){

        return appService.downloadFile(app);
    }

    @PostMapping("/getPageList")
    @ApiOperation("分页查询应用软件")
    Result getPageList(@RequestBody DignosisPageVO dignosisPageVO){

        return appService.getPageList(dignosisPageVO);
    }

    @PostMapping("/edit")
    @ApiOperation("修改应用软件")
    Result edit(@RequestBody AppVO app){

        return appService.edit(app);
    }




}
