package com.util;

import java.util.HashMap;
import java.util.Map;

public class MapToHTML {

    public static void main(String[] args) {
        // 创建一个简单的Map，用于演示
        Map<String, String> dataMap = new HashMap<>();
        dataMap.put("name", "John");
        dataMap.put("age", "25");
        dataMap.put("city", "New York");

        // 生成HTML5页面
        String html = generateHTML(dataMap);
        
        // 输出生成的HTML
        System.out.println(html);
    }

    private static String generateHTML(Map<String, String> dataMap) {
        StringBuilder htmlBuilder = new StringBuilder();
        htmlBuilder.append("<!DOCTYPE html>");
        htmlBuilder.append("<html>");
        htmlBuilder.append("<head>");
        htmlBuilder.append("<title>Map to HTML5</title>");
        htmlBuilder.append("</head>");
        htmlBuilder.append("<body>");

        // 遍历Map中的数据，生成HTML标记
        for (Map.Entry<String, String> entry : dataMap.entrySet()) {
            String key = entry.getKey();
            String value = entry.getValue();
            htmlBuilder.append("<p><strong>").append(key).append(":</strong> ").append(value).append("</p>");
        }

        htmlBuilder.append("</body>");
        htmlBuilder.append("</html>");

        return htmlBuilder.toString();
    }
}
